Google Web Toolkit
Search Google Code:

# Class JSONException

public class JSONException
extends RuntimeException
An exception that can be thrown when an interaction with a JSON data structure fails.

## Constructors

JSONException() | Constructs a new JSONException.
JSONException(String) | Constructs a new JSONException with the specified message.
JSONException(String, Throwable) | Constructs a new JSONException with the specified message and cause.
JSONException(Throwable) | Constructs a new JSONException with the specified cause.

## Constructor Detail

### JSONException

public JSONException()
Constructs a new JSONException.

### JSONException

public JSONException(String message)
Constructs a new JSONException with the specified message.

#### Parameters

message

### JSONException

public JSONException(String message, Throwable cause)
Constructs a new JSONException with the specified message and cause.

#### Parameters

message
cause

### JSONException

public JSONException(Throwable cause)
Constructs a new JSONException with the specified cause.

#### Parameters

cause